<?php
$doc -> clean();

$uof = @$_POST['upload_on_flash'];


if (!empty($_FILES['file']))
{
if ($_FILES['file']['error'])exit('Ошибка');
elseif (!$_FILES['file']['size'])exit('Содержимое файла пусто');
elseif ($dcms -> forum_files_upload_size && $_FILES['file']['size'] > $dcms -> forum_files_upload_size)exit('Размер файла превышает установленные ограничения');
else
{
if ($files_ok = $dir -> filesAdd(array($_FILES['file']['tmp_name'] => $_FILES['file']['name'])))
{
$files_ok[$_FILES['file']['tmp_name']] -> id_user = $user -> id;
$files_ok[$_FILES['file']['tmp_name']] -> group_show = $dir -> group_show;
$files_ok[$_FILES['file']['tmp_name']] -> group_edit = max($user -> group, $dir -> group_write, 2);
unset ($files_ok);
exit('Файл "'.$_FILES['file']['name'].'" успешно добавлен');
}
else
{
exit('Не удалось сохранить выгруженный файл');
}
}
}



exit;
?>
